#pragma once

#include "CoreMinimal.h"
#include "HalloweenHauntAnimInstance.h"
#include "AttackingVoidHauntAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class HALLOWEEN2025_API UAttackingVoidHauntAnimInstance : public UHalloweenHauntAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _hauntTrapTriggered;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _hauntIdling;

private:
	UFUNCTION(BlueprintCallable)
	void OnSpawnIdle();

	UFUNCTION(BlueprintCallable)
	void OnHauntTrapTriggered();

public:
	UAttackingVoidHauntAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UAttackingVoidHauntAnimInstance) { return 0; }
